diff --git a/sys/dev/raid/mrsas/mrsas.c b/sys/dev/raid/mrsas/mrsas.c
index 7db5696247..38a2742cb4 100644
--- a/sys/dev/raid/mrsas/mrsas.c
+++ b/sys/dev/raid/mrsas/mrsas.c
@@ -479,7 +479,6 @@ int mrsas_alloc_evt_log_info_cmd(struct mrsas_softc *sc)
                             1, 0,                   // algnmnt, boundary
                             BUS_SPACE_MAXADDR_32BIT,// lowaddr
                             BUS_SPACE_MAXADDR,      // highaddr
-                            NULL, NULL,             // filter, filterarg
                             el_info_size,          // maxsize
                             1,                      // msegments
                             el_info_size,          // maxsegsize
@@ -1412,7 +1411,6 @@ static int mrsas_alloc_mem(struct mrsas_softc *sc)
                            0,                      /* boundary */
                            BUS_SPACE_MAXADDR,     /* lowaddr */
                            BUS_SPACE_MAXADDR,      /* highaddr */
-                           NULL, NULL,             /* filter, filterarg */
                            MRSAS_MAX_IO_SIZE,/* maxsize */
                            MRSAS_MAX_SGL, /* nsegments */
                            MRSAS_MAX_IO_SIZE,/* maxsegsize */
@@ -1431,7 +1429,6 @@ static int mrsas_alloc_mem(struct mrsas_softc *sc)
                            1, 0,                   // algnmnt, boundary
                            BUS_SPACE_MAXADDR_32BIT,// lowaddr
                            BUS_SPACE_MAXADDR,      // highaddr
-                           NULL, NULL,             // filter, filterarg
                            verbuf_size,           // maxsize
                            1,                      // msegments
                            verbuf_size,           // maxsegsize
@@ -1460,7 +1457,6 @@ static int mrsas_alloc_mem(struct mrsas_softc *sc)
                             16, 0,                   // algnmnt, boundary
                             BUS_SPACE_MAXADDR_32BIT,// lowaddr
                             BUS_SPACE_MAXADDR,      // highaddr
-                            NULL, NULL,             // filter, filterarg
                             io_req_size,            // maxsize
                             1,                      // msegments
                             io_req_size,            // maxsegsize
@@ -1490,7 +1486,6 @@ static int mrsas_alloc_mem(struct mrsas_softc *sc)
                             4, 0,                   // algnmnt, boundary
                             BUS_SPACE_MAXADDR_32BIT,// lowaddr
                             BUS_SPACE_MAXADDR,      // highaddr
-                            NULL, NULL,             // filter, filterarg
                             chain_frame_size,       // maxsize
                             1,                      // msegments
                             chain_frame_size,       // maxsegsize
@@ -1520,7 +1515,6 @@ static int mrsas_alloc_mem(struct mrsas_softc *sc)
                             16, 0,                   // algnmnt, boundary
                             BUS_SPACE_MAXADDR_32BIT,// lowaddr
                             BUS_SPACE_MAXADDR,      // highaddr
-                            NULL, NULL,             // filter, filterarg
                             reply_desc_size,        // maxsize
                             1,                      // msegments
                             reply_desc_size,        // maxsegsize
@@ -1549,7 +1543,6 @@ static int mrsas_alloc_mem(struct mrsas_softc *sc)
                             64, 0,                   // algnmnt, boundary
                             BUS_SPACE_MAXADDR_32BIT,// lowaddr
                             BUS_SPACE_MAXADDR,      // highaddr
-                            NULL, NULL,             // filter, filterarg
                             sense_size,             // maxsize
                             1,                      // nsegments
                             sense_size,             // maxsegsize
@@ -1578,7 +1571,6 @@ static int mrsas_alloc_mem(struct mrsas_softc *sc)
                             1, 0,                   // algnmnt, boundary
                             BUS_SPACE_MAXADDR_32BIT,// lowaddr
                             BUS_SPACE_MAXADDR,      // highaddr
-                            NULL, NULL,             // filter, filterarg
                             evt_detail_size,        // maxsize
                             1,                      // msegments
                             evt_detail_size,        // maxsegsize
@@ -1610,7 +1602,6 @@ static int mrsas_alloc_mem(struct mrsas_softc *sc)
                            0,                      // boundary 
                            BUS_SPACE_MAXADDR,      // lowaddr 
                            BUS_SPACE_MAXADDR,      // highaddr 
-                           NULL, NULL,             // filter, filterarg 
                            MRSAS_MAX_IO_SIZE,      // maxsize 
                            MRSAS_MAX_SGL,          // nsegments 
                            MRSAS_MAX_IO_SIZE,      // maxsegsize 
@@ -1660,7 +1651,6 @@ static int mrsas_setup_raidmap(struct mrsas_softc *sc)
                             4, 0,                   // algnmnt, boundary
                             BUS_SPACE_MAXADDR_32BIT,// lowaddr
                             BUS_SPACE_MAXADDR,      // highaddr
-                            NULL, NULL,             // filter, filterarg
                             sc->map_sz,             // maxsize
                             1,                      // nsegments
                             sc->map_sz,             // maxsegsize
@@ -1864,7 +1854,6 @@ int mrsas_alloc_ioc_cmd(struct mrsas_softc *sc)
                             1, 0,                   // algnmnt, boundary
                             BUS_SPACE_MAXADDR_32BIT,// lowaddr
                             BUS_SPACE_MAXADDR,      // highaddr
-                            NULL, NULL,             // filter, filterarg
                             ioc_init_size,          // maxsize
                             1,                      // msegments
                             ioc_init_size,          // maxsegsize
@@ -2660,7 +2649,6 @@ int mrsas_alloc_ctlr_info_cmd(struct mrsas_softc *sc)
                             1, 0,                   // algnmnt, boundary
                             BUS_SPACE_MAXADDR_32BIT,// lowaddr
                             BUS_SPACE_MAXADDR,      // highaddr
-                            NULL, NULL,             // filter, filterarg
                             ctlr_info_size,          // maxsize
                             1,                      // msegments
                             ctlr_info_size,          // maxsegsize
@@ -3423,7 +3411,6 @@ int mrsas_alloc_tmp_dcmd(struct mrsas_softc *sc, struct mrsas_tmp_dcmd *tcmd,
                             1, 0,                   // algnmnt, boundary
                             BUS_SPACE_MAXADDR_32BIT,// lowaddr
                             BUS_SPACE_MAXADDR,      // highaddr
-                            NULL, NULL,             // filter, filterarg
                             size,                   // maxsize
                             1,                      // msegments
                             size,                   // maxsegsize
diff --git a/sys/dev/raid/mrsas/mrsas_ioctl.c b/sys/dev/raid/mrsas/mrsas_ioctl.c
index 53e649b76c..79b1e7a813 100644
--- a/sys/dev/raid/mrsas/mrsas_ioctl.c
+++ b/sys/dev/raid/mrsas/mrsas_ioctl.c
@@ -230,7 +230,6 @@ int mrsas_passthru( struct mrsas_softc *sc, void *arg )
                                 1, 0,                   // algnmnt, boundary
                                 BUS_SPACE_MAXADDR_32BIT,// lowaddr
                                 BUS_SPACE_MAXADDR,      // highaddr
-                                NULL, NULL,             // filter, filterarg
                                 ioctl_data_size,        // maxsize
                                 1,                      // msegments
                                 ioctl_data_size,        // maxsegsize
@@ -270,7 +269,6 @@ int mrsas_passthru( struct mrsas_softc *sc, void *arg )
                                 1, 0,                   // algnmnt, boundary
                                 BUS_SPACE_MAXADDR_32BIT,// lowaddr
                                 BUS_SPACE_MAXADDR,      // highaddr
-                                NULL, NULL,             // filter, filterarg
                                 ioctl_sense_size,       // maxsize
                                 1,                      // msegments
                                 ioctl_sense_size,       // maxsegsize
@@ -454,7 +452,6 @@ static int mrsas_create_frame_pool(struct mrsas_softc *sc)
                             1, 0,                   // algnmnt, boundary
                             BUS_SPACE_MAXADDR_32BIT,// lowaddr
                             BUS_SPACE_MAXADDR,      // highaddr
-                            NULL, NULL,             // filter, filterarg
                             MRSAS_MFI_FRAME_SIZE,   // maxsize
                             1,                      // msegments
                             MRSAS_MFI_FRAME_SIZE,   // maxsegsize
diff --git a/sys/dev/raid/twa/tw_osl_freebsd.c b/sys/dev/raid/twa/tw_osl_freebsd.c
index 723a6c2fc4..0313c249da 100644
--- a/sys/dev/raid/twa/tw_osl_freebsd.c
+++ b/sys/dev/raid/twa/tw_osl_freebsd.c
@@ -537,7 +537,6 @@ tw_osli_alloc_mem(struct twa_softc *sc)
 				TW_OSLI_DMA_BOUNDARY,	/* boundary */
 				BUS_SPACE_MAXADDR,	/* lowaddr */
 				BUS_SPACE_MAXADDR, 	/* highaddr */
-				NULL, NULL, 		/* filter, filterarg */
 				TW_CL_MAX_IO_SIZE,	/* maxsize */
 				max_sg_elements,	/* nsegments */
 				TW_CL_MAX_IO_SIZE,	/* maxsegsize */
@@ -558,7 +557,6 @@ tw_osli_alloc_mem(struct twa_softc *sc)
 				0,			/* boundary */
 				BUS_SPACE_MAXADDR,	/* lowaddr */
 				BUS_SPACE_MAXADDR, 	/* highaddr */
-				NULL, NULL, 		/* filter, filterarg */
 				dma_mem_size,		/* maxsize */
 				1,			/* nsegments */
 				BUS_SPACE_MAXSIZE,	/* maxsegsize */
@@ -603,7 +601,6 @@ tw_osli_alloc_mem(struct twa_softc *sc)
 				0,			/* boundary */
 				BUS_SPACE_MAXADDR,	/* lowaddr */
 				BUS_SPACE_MAXADDR, 	/* highaddr */
-				NULL, NULL, 		/* filter, filterarg */
 				TW_CL_MAX_IO_SIZE,	/* maxsize */
 				max_sg_elements,	/* nsegments */
 				TW_CL_MAX_IO_SIZE,	/* maxsegsize */
@@ -627,7 +624,6 @@ tw_osli_alloc_mem(struct twa_softc *sc)
 				0,			/* boundary */
 				BUS_SPACE_MAXADDR,	/* lowaddr */
 				BUS_SPACE_MAXADDR, 	/* highaddr */
-				NULL, NULL, 		/* filter, filterarg */
 				TW_CL_MAX_IO_SIZE,	/* maxsize */
 				max_sg_elements,	/* nsegments */
 				TW_CL_MAX_IO_SIZE,	/* maxsegsize */
diff --git a/sys/dev/raid/twe/twe_freebsd.c b/sys/dev/raid/twe/twe_freebsd.c
index 428b5d0294..4a5d1ccbad 100644
--- a/sys/dev/raid/twe/twe_freebsd.c
+++ b/sys/dev/raid/twe/twe_freebsd.c
@@ -225,7 +225,6 @@ twe_attach(device_t dev)
 			   1, 0, 				/* alignment, boundary */
 			   BUS_SPACE_MAXADDR_32BIT, 		/* lowaddr */
 			   BUS_SPACE_MAXADDR, 			/* highaddr */
-			   NULL, NULL, 				/* filter, filterarg */
 			   MAXBSIZE, TWE_MAX_SGL_LENGTH,	/* maxsize, nsegments */
 			   BUS_SPACE_MAXSIZE_32BIT,		/* maxsegsize */
 			   0,					/* flags */
@@ -259,7 +258,6 @@ twe_attach(device_t dev)
 			   1, 0, 			/* alignment, boundary */
 			   BUS_SPACE_MAXADDR_32BIT,	/* lowaddr */
 			   BUS_SPACE_MAXADDR, 		/* highaddr */
-			   NULL, NULL, 			/* filter, filterarg */
 			   sizeof(TWE_Command) *
 			   TWE_Q_LENGTH, 1,		/* maxsize, nsegments */
 			   BUS_SPACE_MAXSIZE_32BIT,	/* maxsegsize */
@@ -289,7 +287,6 @@ twe_attach(device_t dev)
 			   1, 0, 			/* alignment, boundary */
 			   BUS_SPACE_MAXADDR_32BIT,	/* lowaddr */
 			   BUS_SPACE_MAXADDR, 		/* highaddr */
-			   NULL, NULL, 			/* filter, filterarg */
 			   MAXBSIZE, TWE_MAX_SGL_LENGTH,/* maxsize, nsegments */
 			   BUS_SPACE_MAXSIZE_32BIT,	/* maxsegsize */
 			   BUS_DMA_ALLOCNOW,		/* flags */
@@ -306,7 +303,6 @@ twe_attach(device_t dev)
 			   1, 0, 			/* alignment, boundary */
 			   BUS_SPACE_MAXADDR_32BIT,	/* lowaddr */
 			   BUS_SPACE_MAXADDR, 		/* highaddr */
-			   NULL, NULL, 			/* filter, filterarg */
 			   MAXBSIZE, 1,			/* maxsize, nsegments */
 			   BUS_SPACE_MAXSIZE_32BIT,	/* maxsegsize */
 			   0,				/* flags */
diff --git a/sys/dev/raid/tws/tws.c b/sys/dev/raid/tws/tws.c
index 76f90efd83..fabe0fa7b1 100644
--- a/sys/dev/raid/tws/tws.c
+++ b/sys/dev/raid/tws/tws.c
@@ -467,7 +467,6 @@ tws_init(struct tws_softc *sc)
                             0,                       /* boundary */
                             BUS_SPACE_MAXADDR_32BIT, /* lowaddr */
                             BUS_SPACE_MAXADDR,       /* highaddr */
-                            NULL, NULL,              /* filter, filterarg */
                             BUS_SPACE_MAXSIZE,       /* maxsize */
                             max_sg_elements,         /* numsegs */
                             BUS_SPACE_MAXSIZE,       /* maxsegsize */
@@ -487,7 +486,6 @@ tws_init(struct tws_softc *sc)
                             0,                    /* boundary */
                             BUS_SPACE_MAXADDR_32BIT, /* lowaddr */
                             BUS_SPACE_MAXADDR,    /* highaddr */
-                            NULL, NULL,           /* filter, filterarg */
                             dma_mem_size,         /* maxsize */
                             1,                    /* numsegs */
                             BUS_SPACE_MAXSIZE,    /* maxsegsize */
@@ -522,7 +520,6 @@ tws_init(struct tws_softc *sc)
                            0,                      /* boundary */
                            BUS_SPACE_MAXADDR_32BIT,/* lowaddr */
                            BUS_SPACE_MAXADDR,      /* highaddr */
-                           NULL, NULL,             /* filter, filterarg */
                            TWS_MAX_IO_SIZE,        /* maxsize */
                            max_sg_elements,        /* nsegments */
                            TWS_MAX_IO_SIZE,        /* maxsegsize */
diff --git a/sys/dev/sound/pci/als4000.c b/sys/dev/sound/pci/als4000.c
index d883242164..b4f6a3f6bd 100644
--- a/sys/dev/sound/pci/als4000.c
+++ b/sys/dev/sound/pci/als4000.c
@@ -792,7 +792,6 @@ als_resource_grab(device_t dev, struct sc_info *sc)
 			       /*alignment*/2, /*boundary*/0,
 			       /*lowaddr*/BUS_SPACE_MAXADDR_24BIT,
 			       /*highaddr*/BUS_SPACE_MAXADDR,
-			       /*filter*/NULL, /*filterarg*/NULL,
 			       /*maxsize*/sc->bufsz,
 			       /*nsegments*/1, /*maxsegz*/0x3ffff,
 			       /*flags*/0,
diff --git a/sys/dev/sound/pci/atiixp.c b/sys/dev/sound/pci/atiixp.c
index abbd448ab8..21a6126291 100644
--- a/sys/dev/sound/pci/atiixp.c
+++ b/sys/dev/sound/pci/atiixp.c
@@ -1258,7 +1258,6 @@ atiixp_pci_attach(device_t dev)
 		/*boundary*/0,
 		/*lowaddr*/BUS_SPACE_MAXADDR_32BIT,
 		/*highaddr*/BUS_SPACE_MAXADDR,
-		/*filter*/NULL, /*filterarg*/NULL,
 		/*maxsize*/sc->bufsz, /*nsegments*/1, /*maxsegz*/0x3ffff,
 		/*flags*/0,
 		&sc->parent_dmat) != 0) {
@@ -1270,7 +1269,6 @@ atiixp_pci_attach(device_t dev)
 		/*boundary*/0,
 		/*lowaddr*/BUS_SPACE_MAXADDR_32BIT,
 		/*highaddr*/BUS_SPACE_MAXADDR,
-		/*filter*/NULL, /*filterarg*/NULL,
 		/*maxsize*/ATI_IXP_DMA_CHSEGS_MAX * ATI_IXP_NCHANS *
 		sizeof(struct atiixp_dma_op),
 		/*nsegments*/1, /*maxsegz*/0x3ffff,
diff --git a/sys/dev/sound/pci/aureal.c b/sys/dev/sound/pci/aureal.c
index 36697e4ed4..b89deb4f6a 100644
--- a/sys/dev/sound/pci/aureal.c
+++ b/sys/dev/sound/pci/aureal.c
@@ -637,7 +637,6 @@ au_pci_attach(device_t dev)
 		/*boundary*/0,
 		/*lowaddr*/BUS_SPACE_MAXADDR_32BIT,
 		/*highaddr*/BUS_SPACE_MAXADDR,
-		/*filter*/NULL, /*filterarg*/NULL,
 		/*maxsize*/AU_BUFFSIZE, /*nsegments*/1, /*maxsegz*/0x3ffff,
 		/*flags*/0, /*lockfunc*/busdma_lock_mutex,
 		/*lockarg*/&Giant, &au->parent_dmat) != 0) {
diff --git a/sys/dev/sound/pci/cmi.c b/sys/dev/sound/pci/cmi.c
index a2d82fdc65..9a49bfc1aa 100644
--- a/sys/dev/sound/pci/cmi.c
+++ b/sys/dev/sound/pci/cmi.c
@@ -972,7 +972,6 @@ cmi_attach(device_t dev)
 			       /*boundary*/0,
 			       /*lowaddr*/BUS_SPACE_MAXADDR_32BIT,
 			       /*highaddr*/BUS_SPACE_MAXADDR,
-			       /*filter*/NULL, /*filterarg*/NULL,
 			       /*maxsize*/sc->bufsz, /*nsegments*/1,
 			       /*maxsegz*/0x3ffff, /*flags*/0,
 			       &sc->parent_dmat) != 0) {
diff --git a/sys/dev/sound/pci/cs4281.c b/sys/dev/sound/pci/cs4281.c
index c685729c8f..59c31f6d77 100644
--- a/sys/dev/sound/pci/cs4281.c
+++ b/sys/dev/sound/pci/cs4281.c
@@ -819,7 +819,6 @@ cs4281_pci_attach(device_t dev)
 			   /*boundary*/0,
 			   /*lowaddr*/BUS_SPACE_MAXADDR_32BIT,
 			   /*highaddr*/BUS_SPACE_MAXADDR,
-			   /*filter*/NULL, /*filterarg*/NULL,
 			   /*maxsize*/sc->bufsz, /*nsegments*/1,
 			   /*maxsegz*/0x3ffff,
 			   /*flags*/0,
diff --git a/sys/dev/sound/pci/emu10k1.c b/sys/dev/sound/pci/emu10k1.c
index 2d30523c31..3db45e969a 100644
--- a/sys/dev/sound/pci/emu10k1.c
+++ b/sys/dev/sound/pci/emu10k1.c
@@ -2104,7 +2104,6 @@ emu_pci_attach(device_t dev)
 		/*boundary*/0,
 		/*lowaddr*/(1U << 31) - 1, /* can only access 0-2gb */
 		/*highaddr*/BUS_SPACE_MAXADDR,
-		/*filter*/NULL, /*filterarg*/NULL,
 		/*maxsize*/sc->bufsz, /*nsegments*/1, /*maxsegz*/0x3ffff,
 		/*flags*/0,
 		&sc->parent_dmat) != 0) {
diff --git a/sys/dev/sound/pci/emu10kx.c b/sys/dev/sound/pci/emu10kx.c
index 87b717d106..99b52550ce 100644
--- a/sys/dev/sound/pci/emu10kx.c
+++ b/sys/dev/sound/pci/emu10kx.c
@@ -2722,7 +2722,6 @@ emu_init(struct emu_sc_info *sc)
 	     /* alignment */ 2, /* boundary */ 0,
 	     /* lowaddr */ (1U << 31) - 1,	/* can only access 0-2gb */
 	     /* highaddr */ BUS_SPACE_MAXADDR,
-	     /* filter */ NULL, /* filterarg */ NULL,
 	     /* maxsize */ EMU_MAX_BUFSZ, /* nsegments */ 1, /* maxsegz */ 0x3ffff,
 	     /* flags */ 0,
 	     &(sc->mem.dmat)) != 0) {
diff --git a/sys/dev/sound/pci/envy24.c b/sys/dev/sound/pci/envy24.c
index e1f839f5e9..4bead571f6 100644
--- a/sys/dev/sound/pci/envy24.c
+++ b/sys/dev/sound/pci/envy24.c
@@ -2530,7 +2530,6 @@ envy24_alloc_resource(struct sc_info *sc)
 	    /*boundary*/0,
 	    /*lowaddr*/BUS_SPACE_MAXADDR_ENVY24,
 	    /*highaddr*/BUS_SPACE_MAXADDR_ENVY24,
-	    /*filter*/NULL, /*filterarg*/NULL,
 	    /*maxsize*/BUS_SPACE_MAXSIZE_ENVY24,
 	    /*nsegments*/1, /*maxsegsz*/0x3ffff,
 	    /*flags*/0,
diff --git a/sys/dev/sound/pci/envy24ht.c b/sys/dev/sound/pci/envy24ht.c
index 1119f80708..82f28cd67a 100644
--- a/sys/dev/sound/pci/envy24ht.c
+++ b/sys/dev/sound/pci/envy24ht.c
@@ -2436,7 +2436,6 @@ envy24ht_alloc_resource(struct sc_info *sc)
 	    /*boundary*/0,
 	    /*lowaddr*/BUS_SPACE_MAXADDR_32BIT,
 	    /*highaddr*/BUS_SPACE_MAXADDR,
-	    /*filter*/NULL, /*filterarg*/NULL,
 	    /*maxsize*/BUS_SPACE_MAXSIZE_ENVY24,
 	    /*nsegments*/1, /*maxsegsz*/0x3ffff,
 	    /*flags*/0,
diff --git a/sys/dev/sound/pci/es137x.c b/sys/dev/sound/pci/es137x.c
index e037eee65e..f0f5ae99f3 100644
--- a/sys/dev/sound/pci/es137x.c
+++ b/sys/dev/sound/pci/es137x.c
@@ -1848,7 +1848,6 @@ es_pci_attach(device_t dev)
 		/*alignment*/2, /*boundary*/0,
 		/*lowaddr*/BUS_SPACE_MAXADDR_32BIT,
 		/*highaddr*/BUS_SPACE_MAXADDR,
-		/*filter*/NULL, /*filterarg*/NULL,
 		/*maxsize*/es->bufsz, /*nsegments*/1, /*maxsegz*/0x3ffff,
 		/*flags*/0,
 		&es->parent_dmat) != 0) {
diff --git a/sys/dev/sound/pci/fm801.c b/sys/dev/sound/pci/fm801.c
index b8473e2c68..81665cf70b 100644
--- a/sys/dev/sound/pci/fm801.c
+++ b/sys/dev/sound/pci/fm801.c
@@ -631,7 +631,6 @@ fm801_pci_attach(device_t dev)
 		/*boundary*/0,
 		/*lowaddr*/BUS_SPACE_MAXADDR_32BIT,
 		/*highaddr*/BUS_SPACE_MAXADDR,
-		/*filter*/NULL, /*filterarg*/NULL,
 		/*maxsize*/fm801->bufsz, /*nsegments*/1, /*maxsegz*/0x3ffff,
 		/*flags*/0,
 		&fm801->parent_dmat) != 0) {
diff --git a/sys/dev/sound/pci/hda/hdac.c b/sys/dev/sound/pci/hda/hdac.c
index 916a83e327..569f9c94ff 100644
--- a/sys/dev/sound/pci/hda/hdac.c
+++ b/sys/dev/sound/pci/hda/hdac.c
@@ -588,8 +588,6 @@ hdac_dma_alloc(struct hdac_softc *sc, struct hdac_dma *dma, bus_size_t size)
 	    (sc->support_64bit) ? BUS_SPACE_MAXADDR :
 		BUS_SPACE_MAXADDR_32BIT,	/* lowaddr */
 	    BUS_SPACE_MAXADDR,			/* highaddr */
-	    NULL,				/* filtfunc */
-	    NULL,				/* fistfuncarg */
 	    roundsz, 				/* maxsize */
 	    1,					/* nsegments */
 	    roundsz, 				/* maxsegsz */
@@ -1279,8 +1277,6 @@ hdac_attach(device_t dev)
 	    (sc->support_64bit) ? BUS_SPACE_MAXADDR :
 		BUS_SPACE_MAXADDR_32BIT,	/* lowaddr */
 	    BUS_SPACE_MAXADDR,			/* highaddr */
-	    NULL,				/* filtfunc */
-	    NULL,				/* fistfuncarg */
 	    HDA_BUFSZ_MAX, 			/* maxsize */
 	    1,					/* nsegments */
 	    HDA_BUFSZ_MAX, 			/* maxsegsz */
diff --git a/sys/dev/sound/pci/hdspe.c b/sys/dev/sound/pci/hdspe.c
index d1857cda2c..e214a30a3f 100644
--- a/sys/dev/sound/pci/hdspe.c
+++ b/sys/dev/sound/pci/hdspe.c
@@ -157,8 +157,6 @@ hdspe_alloc_resources(struct sc_info *sc)
 		/*boundary*/0,
 		/*lowaddr*/BUS_SPACE_MAXADDR_32BIT,
 		/*highaddr*/BUS_SPACE_MAXADDR,
-		/*filter*/NULL,
-		/*filterarg*/NULL,
 		/*maxsize*/2 * HDSPE_DMASEGSIZE,
 		/*nsegments*/2,
 		/*maxsegsz*/HDSPE_DMASEGSIZE,
diff --git a/sys/dev/sound/pci/ich.c b/sys/dev/sound/pci/ich.c
index bf2f6a3c37..5736c16094 100644
--- a/sys/dev/sound/pci/ich.c
+++ b/sys/dev/sound/pci/ich.c
@@ -1043,7 +1043,7 @@ ich_pci_attach(device_t dev)
 
 	/* BDL tag */
 	if (bus_dma_tag_create(bus_get_dma_tag(dev), 8, 0,
-	    BUS_SPACE_MAXADDR_32BIT, BUS_SPACE_MAXADDR, NULL, NULL,
+	    BUS_SPACE_MAXADDR_32BIT, BUS_SPACE_MAXADDR,
 	    sc->dtbl_size, 1, 0x3ffff, 0, &sc->dmat) != 0) {
 		device_printf(dev, "unable to create dma tag\n");
 		goto bad;
@@ -1051,7 +1051,7 @@ ich_pci_attach(device_t dev)
 
 	/* PCM channel tag */
 	if (bus_dma_tag_create(bus_get_dma_tag(dev), ICH_MIN_BLKSZ, 0,
-	    BUS_SPACE_MAXADDR_32BIT, BUS_SPACE_MAXADDR, NULL, NULL,
+	    BUS_SPACE_MAXADDR_32BIT, BUS_SPACE_MAXADDR,
 	    sc->bufsz, 1, 0x3ffff, 0, &sc->chan_dmat) != 0) {
 		device_printf(dev, "unable to create dma tag\n");
 		goto bad;
diff --git a/sys/dev/sound/pci/maestro.c b/sys/dev/sound/pci/maestro.c
index be78fe6b0b..4cd89efdc0 100644
--- a/sys/dev/sound/pci/maestro.c
+++ b/sys/dev/sound/pci/maestro.c
@@ -1805,7 +1805,6 @@ agg_attach(device_t dev)
 	if (bus_dma_tag_create(/*parent*/ bus_get_dma_tag(dev),
 			       /*align */ 4, 1 << (16+1),
 			       /*limit */ MAESTRO_MAXADDR, BUS_SPACE_MAXADDR,
-			       /*filter*/ NULL, NULL,
 			       /*size  */ ess->bufsz, 1, 0x3ffff,
 			       /*flags */ 0,
 			       &ess->buf_dmat) != 0) {
@@ -1818,7 +1817,6 @@ agg_attach(device_t dev)
 			       /*align */ 1 << WAVCACHE_BASEADDR_SHIFT,
 			                  1 << (16+1),
 			       /*limit */ MAESTRO_MAXADDR, BUS_SPACE_MAXADDR,
-			       /*filter*/ NULL, NULL,
 			       /*size  */ 3*ess->bufsz, 1, 0x3ffff,
 			       /*flags */ 0,
 			       &ess->stat_dmat) != 0) {
diff --git a/sys/dev/sound/pci/solo.c b/sys/dev/sound/pci/solo.c
index 0cd98f3bf0..f76c908d1e 100644
--- a/sys/dev/sound/pci/solo.c
+++ b/sys/dev/sound/pci/solo.c
@@ -1028,7 +1028,6 @@ ess_attach(device_t dev)
     	if (bus_dma_tag_create(/*parent*/bus_get_dma_tag(dev), /*alignment*/2, /*boundary*/0,
 			/*lowaddr*/BUS_SPACE_MAXADDR_24BIT,
 			/*highaddr*/BUS_SPACE_MAXADDR,
-			/*filter*/NULL, /*filterarg*/NULL,
 			/*maxsize*/sc->bufsz, /*nsegments*/1,
 			/*maxsegz*/0x3ffff,
 			/*flags*/0,
diff --git a/sys/dev/sound/pci/t4dwave.c b/sys/dev/sound/pci/t4dwave.c
index 30b1214cec..abcc0cfb09 100644
--- a/sys/dev/sound/pci/t4dwave.c
+++ b/sys/dev/sound/pci/t4dwave.c
@@ -915,7 +915,6 @@ tr_pci_attach(device_t dev)
 		/*boundary*/0,
 		/*lowaddr*/lowaddr,
 		/*highaddr*/BUS_SPACE_MAXADDR,
-		/*filter*/NULL, /*filterarg*/NULL,
 		/*maxsize*/tr->bufsz, /*nsegments*/1, /*maxsegz*/tr->bufsz,
 		/*flags*/0,
 		&tr->parent_dmat) != 0) {
diff --git a/sys/dev/sound/pci/via8233.c b/sys/dev/sound/pci/via8233.c
index 44cd4faf43..bc8df030a2 100644
--- a/sys/dev/sound/pci/via8233.c
+++ b/sys/dev/sound/pci/via8233.c
@@ -1294,7 +1294,6 @@ via_attach(device_t dev)
 		/*boundary*/0,
 		/*lowaddr*/BUS_SPACE_MAXADDR_32BIT,
 		/*highaddr*/BUS_SPACE_MAXADDR,
-		/*filter*/NULL, /*filterarg*/NULL,
 		/*maxsize*/via->bufsz, /*nsegments*/1, /*maxsegz*/0x3ffff,
 		/*flags*/0,
 		&via->parent_dmat) != 0) {
@@ -1311,7 +1310,6 @@ via_attach(device_t dev)
 		/*boundary*/0,
 		/*lowaddr*/BUS_SPACE_MAXADDR_32BIT,
 		/*highaddr*/BUS_SPACE_MAXADDR,
-		/*filter*/NULL, /*filterarg*/NULL,
 		/*maxsize*/nsegs * sizeof(struct via_dma_op),
 		/*nsegments*/1, /*maxsegz*/0x3ffff,
 		/*flags*/0,
diff --git a/sys/dev/sound/pci/via82c686.c b/sys/dev/sound/pci/via82c686.c
index ebd90f269f..4159ec9ebb 100644
--- a/sys/dev/sound/pci/via82c686.c
+++ b/sys/dev/sound/pci/via82c686.c
@@ -557,7 +557,6 @@ via_attach(device_t dev)
 		/*boundary*/0,
 		/*lowaddr*/BUS_SPACE_MAXADDR_32BIT,
 		/*highaddr*/BUS_SPACE_MAXADDR,
-		/*filter*/NULL, /*filterarg*/NULL,
 		/*maxsize*/via->bufsz, /*nsegments*/1, /*maxsegz*/0x3ffff,
 		/*flags*/0,
 		&via->parent_dmat) != 0) {
@@ -574,7 +573,6 @@ via_attach(device_t dev)
 		/*boundary*/0,
 		/*lowaddr*/BUS_SPACE_MAXADDR_32BIT,
 		/*highaddr*/BUS_SPACE_MAXADDR,
-		/*filter*/NULL, /*filterarg*/NULL,
 		/*maxsize*/NSEGS * sizeof(struct via_dma_op),
 		/*nsegments*/1, /*maxsegz*/0x3ffff,
 		/*flags*/0,
diff --git a/sys/dev/sound/pci/vibes.c b/sys/dev/sound/pci/vibes.c
index d44e37e2a7..0a9fda2dd9 100644
--- a/sys/dev/sound/pci/vibes.c
+++ b/sys/dev/sound/pci/vibes.c
@@ -773,7 +773,6 @@ sv_attach(device_t dev) {
 			       /*boundary*/0,
                                /*lowaddr*/BUS_SPACE_MAXADDR_24BIT,
                                /*highaddr*/BUS_SPACE_MAXADDR,
-                               /*filter*/NULL, /*filterarg*/NULL,
                                /*maxsize*/sc->bufsz, /*nsegments*/1,
                                /*maxsegz*/0x3ffff, /*flags*/0,
 			       &sc->parent_dmat) != 0) {
diff --git a/sys/dev/video/cxm/cxm.c b/sys/dev/video/cxm/cxm.c
index 899f34a091..255fdef508 100644
--- a/sys/dev/video/cxm/cxm.c
+++ b/sys/dev/video/cxm/cxm.c
@@ -1774,7 +1774,7 @@ cxm_attach(device_t dev)
 	 */
 	error = bus_dma_tag_create(NULL, 1, 0,
 				   BUS_SPACE_MAXADDR_32BIT,
-				   BUS_SPACE_MAXADDR, NULL, NULL,
+				   BUS_SPACE_MAXADDR,
 				   BUS_SPACE_MAXSIZE_32BIT, 1,
 				   BUS_SPACE_MAXSIZE_32BIT, 0,
 				   &sc->parent_dmat);
@@ -1788,7 +1788,7 @@ cxm_attach(device_t dev)
 	 */
 	error = bus_dma_tag_create(sc->parent_dmat, 256, 0,
 				   BUS_SPACE_MAXADDR_32BIT,
-				   BUS_SPACE_MAXADDR, NULL, NULL,
+				   BUS_SPACE_MAXADDR,
 				   CXM_SG_SEGMENT, 1,
 				   BUS_SPACE_MAXSIZE_32BIT, 0,
 				   &sc->enc_pool.dmat);
@@ -1833,7 +1833,7 @@ cxm_attach(device_t dev)
 	 */
 	error = bus_dma_tag_create(sc->parent_dmat, 1, 0,
 				   BUS_SPACE_MAXADDR_32BIT,
-				   BUS_SPACE_MAXADDR, NULL, NULL,
+				   BUS_SPACE_MAXADDR,
 				   CXM_SG_BUFFERS
 				   * sizeof(struct cxm_sg_entry), 1,
 				   BUS_SPACE_MAXSIZE_32BIT, 0,
diff --git a/sys/dev/virtual/amazon/ena/ena.c b/sys/dev/virtual/amazon/ena/ena.c
index a349dcb677..97aed1cd59 100644
--- a/sys/dev/virtual/amazon/ena/ena.c
+++ b/sys/dev/virtual/amazon/ena/ena.c
@@ -229,7 +229,6 @@ ena_dma_alloc(device_t dmadev, bus_size_t size,
 	    8, 0,	      /* alignment, bounds 		*/
 	    dma_space_addr,   /* lowaddr of exclusion window	*/
 	    BUS_SPACE_MAXADDR,/* highaddr of exclusion window	*/
-	    NULL, NULL,	      /* filter, filterarg 		*/
 	    maxsize,	      /* maxsize 			*/
 	    1,		      /* nsegments 			*/
 	    maxsize,	      /* maxsegsize 			*/
@@ -498,7 +497,6 @@ ena_setup_tx_dma_tag(struct ena_adapter *adapter)
 	    1, 0,				  /* alignment, bounds 	     */
 	    ENA_DMA_BIT_MASK(adapter->dma_width), /* lowaddr of excl window  */
 	    BUS_SPACE_MAXADDR, 			  /* highaddr of excl window */
-	    NULL, NULL,				  /* filter, filterarg 	     */
 	    ENA_TSO_MAXSIZE,			  /* maxsize 		     */
 	    ENA_BUS_DMA_SEGS,			  /* nsegments		     */
 	    ENA_TSO_MAXSIZE,			  /* maxsegsize 	     */
@@ -531,7 +529,6 @@ ena_setup_rx_dma_tag(struct ena_adapter *adapter)
 	    1, 0,				  /* alignment, bounds 	     */
 	    ENA_DMA_BIT_MASK(adapter->dma_width), /* lowaddr of excl window  */
 	    BUS_SPACE_MAXADDR, 			  /* highaddr of excl window */
-	    NULL, NULL,				  /* filter, filterarg 	     */
 	    MJUM16BYTES,			  /* maxsize 		     */
 	    adapter->max_rx_sgl_size,		  /* nsegments 		     */
 	    MJUM16BYTES,			  /* maxsegsize 	     */
diff --git a/sys/dev/virtual/vmware/pvscsi/pvscsi.c b/sys/dev/virtual/vmware/pvscsi/pvscsi.c
index 98ccf6ca2c..5a4a3ee077 100644
--- a/sys/dev/virtual/vmware/pvscsi/pvscsi.c
+++ b/sys/dev/virtual/vmware/pvscsi/pvscsi.c
@@ -470,7 +470,7 @@ pvscsi_dma_alloc(struct pvscsi_softc *sc, struct pvscsi_dma *dma,
 	bzero(dma, sizeof(*dma));
 
 	error = bus_dma_tag_create(sc->parent_dmat, alignment, 0,
-	    BUS_SPACE_MAXADDR, BUS_SPACE_MAXADDR, NULL, NULL, size, 1, size,
+	    BUS_SPACE_MAXADDR, BUS_SPACE_MAXADDR, size, 1, size,
 	    BUS_DMA_ALLOCNOW, &dma->tag);
 	if (error) {
 		device_printf(sc->dev, "error creating dma tag, error %d\n",
@@ -1643,7 +1643,7 @@ pvscsi_attach(device_t dev)
 	}
 
 	error = bus_dma_tag_create(bus_get_dma_tag(dev), 1, 0,
-	    BUS_SPACE_MAXADDR, BUS_SPACE_MAXADDR, NULL, NULL, BUS_SPACE_MAXSIZE,
+	    BUS_SPACE_MAXADDR, BUS_SPACE_MAXADDR, BUS_SPACE_MAXSIZE,
 	    BUS_SPACE_UNRESTRICTED, BUS_SPACE_MAXSIZE, 0,
 	    &sc->parent_dmat);
 	if (error) {
@@ -1654,7 +1654,7 @@ pvscsi_attach(device_t dev)
 	}
 
 	error = bus_dma_tag_create(sc->parent_dmat, 1, 0,
-	    BUS_SPACE_MAXADDR, BUS_SPACE_MAXADDR, NULL, NULL,
+	    BUS_SPACE_MAXADDR, BUS_SPACE_MAXADDR,
 	    PVSCSI_MAX_SG_ENTRIES_PER_SEGMENT * PAGE_SIZE,
 	    PVSCSI_MAX_SG_ENTRIES_PER_SEGMENT, PAGE_SIZE, BUS_DMA_ALLOCNOW,
 	    &sc->buffer_dmat);
diff --git a/sys/dev/virtual/vmware/vmxnet3/if_vmx.c b/sys/dev/virtual/vmware/vmxnet3/if_vmx.c
index cefdb143cf..7ac113e8dc 100644
--- a/sys/dev/virtual/vmware/vmxnet3/if_vmx.c
+++ b/sys/dev/virtual/vmware/vmxnet3/if_vmx.c
@@ -1297,7 +1297,6 @@ vmxnet3_alloc_txq_data(struct vmxnet3_softc *sc)
 		    1, 0,			/* alignment, boundary */
 		    BUS_SPACE_MAXADDR,		/* lowaddr */
 		    BUS_SPACE_MAXADDR,		/* highaddr */
-		    NULL, NULL,			/* filter, filterarg */
 		    VMXNET3_TX_MAXSIZE,		/* maxsize */
 		    VMXNET3_TX_MAXSEGS,		/* nsegments */
 		    VMXNET3_TX_MAXSEGSIZE,	/* maxsegsize */
@@ -1413,7 +1412,6 @@ vmxnet3_alloc_rxq_data(struct vmxnet3_softc *sc)
 			    1, 0,		/* alignment, boundary */
 			    BUS_SPACE_MAXADDR,	/* lowaddr */
 			    BUS_SPACE_MAXADDR,	/* highaddr */
-			    NULL, NULL,		/* filter, filterarg */
 			    MJUMPAGESIZE,	/* maxsize */
 			    1,			/* nsegments */
 			    MJUMPAGESIZE,	/* maxsegsize */
@@ -3960,7 +3958,6 @@ vmxnet3_dma_malloc(struct vmxnet3_softc *sc, bus_size_t size, bus_size_t align,
 	    align, 0,		/* alignment, bounds */
 	    BUS_SPACE_MAXADDR,	/* lowaddr */
 	    BUS_SPACE_MAXADDR,	/* highaddr */
-	    NULL, NULL,		/* filter, filterarg */
 	    size,		/* maxsize */
 	    1,			/* nsegments */
 	    size,		/* maxsegsize */
diff --git a/sys/kern/subr_busdma.c b/sys/kern/subr_busdma.c
index 84e82c6c75..805799c5c0 100644
--- a/sys/kern/subr_busdma.c
+++ b/sys/kern/subr_busdma.c
@@ -62,7 +62,7 @@ bus_dmamem_coherent(bus_dma_tag_t parent,
 	bzero(dmem, sizeof(*dmem));
 
 	error = bus_dma_tag_create(parent, alignment, boundary,
-				   lowaddr, highaddr, NULL, NULL,
+				   lowaddr, highaddr,
 				   maxsize, 1, maxsize, 0,
 				   &dmem->dmem_tag);
 	if (error)
diff --git a/sys/netproto/802_11/README.DRAGONFLY b/sys/netproto/802_11/README.DRAGONFLY
index 9865b135bd..e0dee543fd 100644
--- a/sys/netproto/802_11/README.DRAGONFLY
+++ b/sys/netproto/802_11/README.DRAGONFLY
@@ -136,7 +136,6 @@
 			 0,
 			 BUS_SPACE_MAXADDR_32BIT,
 			 BUS_SPACE_MAXADDR,
-			 NULL, NULL,
 			 size, 1, size,
 			 BUS_DMA_NOWAIT, &dma->tag);
 
